This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 578280 - don't consider "disconnect failed: (32) get_speed: tcgetattr() error 9" a hard failure on disconnect
don't consider "disconnect failed: (32) get_speed: tcgetattr() error 9" a har...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ModemManager (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-30 14:43 EDT by Dan Williams
Modified: 2010-05-05 03:26 EDT (History)
2 users (show)

See Also:
Fixed In Version: ModemManager-0.3-11.git20100502.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-05 03:26:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dan Williams 2010-03-30 14:43:11 EDT
Mar 27 22:48:27 localhost NetworkManager: <info>  (ttyUSB0): deactivating device (reason: 0).
Mar 27 22:48:27 localhost modem-manager: Modem /org/freedesktop/ModemManager/Modems/1: state changed (connected -> disconnecting)
Mar 27 22:48:27 localhost modem-manager: Modem /org/freedesktop/ModemManager/Modems/1: state changed (disconnecting -> connected)
Mar 27 22:48:27 localhost NetworkManager: disconnect_done: disconnect failed: (32) get_speed: tcgetattr() error 9


failed tcgetattr() shouldn't be a hard error on disconnect.
Comment 2 Dan Williams 2010-04-25 02:45:11 EDT
upstream fix:

b9bb12a01e0fd0251475622cf2adc3ca04ba7bd0
Comment 3 Fedora Update System 2010-05-02 04:52:55 EDT
ModemManager-0.3-11.git20100502.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/ModemManager-0.3-11.git20100502.fc13
Comment 4 Fedora Update System 2010-05-02 04:54:02 EDT
ModemManager-0.3-11.git20100502.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/ModemManager-0.3-11.git20100502.fc12
Comment 5 Fedora Update System 2010-05-04 02:12:01 EDT
ModemManager-0.3-11.git20100502.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ModemManager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/ModemManager-0.3-11.git20100502.fc12
Comment 6 Fedora Update System 2010-05-04 02:15:07 EDT
ModemManager-0.3-11.git20100502.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ModemManager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/ModemManager-0.3-11.git20100502.fc13
Comment 7 Fedora Update System 2010-05-05 03:25:51 EDT
ModemManager-0.3-11.git20100502.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.